[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.PrinterState

Indicates the current state for the print device.

## Declaration

Source position: printers.pas line 327

`public property TPrinter.PrinterState : TPrinterState read DoGetPrinterState;`

## Description

PrinterState is a read-only TPrinterState property which contains a value with the current state for the print device. See TPrinterState for the enumeration values and their meanings.

The read access specifier for the property is declared as a virtual method. It may be overridden in a descendent class to perform actions needed to determine the printer state for the implementation.

In TPrinter, the value for the property is always psNoDefine.

## See also

TPrinter.DoGetPrinterState |  | Gets the value for the PrinterState property.
TPrinterState |  | Represents state values for a print device.